﻿@model List<PROJETMODELE.Controllers.EtatController.JqwAjaxEtatStockEmballage>
@using PROJETMODELE.Tools;
@{
    Layout = null;
    int num = 1;
    double Valeur_Stock = 0;
    int Nombre_Casier = 0;
    int Nombre_Plastique = 0;
    int Nombre_Bouteille = 0;

    PROJETMODELE.Tools.Services service = new PROJETMODELE.Tools.Services();
}
@Html.Partial("_EntetePDF")
 <table>
    <tr>
        <td align="right" style="font-size:0.6em">Imprimer le : @DateTime.Now</td>
    </tr>
</table>
<br />
<table width="100%">
    <tr align="center">
        <td><h2><u>@TempData["NameRechercher"]</u></h2></td>
    </tr>
</table>
<br />
<table style="font-size:8px" border="1" >
    <tr style="text-align:center; font-weight:bold; " bgcolor="#aaaaaa">
        <th width="7%">N° </th>
        
        
        <th width="14%">Emballage</th>
        <th width="32%">Description</th>
        <th width="15%">Casier</th>
        <th width="15%">Plastique</th>
        <th width="15%">Bouteille</th>
        <th width="18%">Montant</th>
        
    </tr>
    @foreach (var item in Model)
    {
        <tr style="text-align:center;">
            <td>@service.SeparateurMillier(num)</td>
            
            <td>@item.Code</td> 
            <td>@item.Description</td>          
            <td>@service.SeparateurMillier(item.Nombre_Casier)</td>
            <td>@service.SeparateurMillier(item.Nombre_Plastique)</td>
            <td>@service.SeparateurMillier(item.Nombre_Bouteille)</td>
            <td>@service.SeparateurMillier(item.Montant)</td>
            
        </tr>
        @(num = num + 1);
        @(Valeur_Stock = Valeur_Stock + item.Montant);
         @(Nombre_Casier = Nombre_Casier + item.Nombre_Casier);
        @(Nombre_Plastique = Nombre_Plastique + item.Nombre_Plastique);
        @(Nombre_Bouteille = Nombre_Bouteille + item.Nombre_Bouteille);
    }
    <tr>
        <td colspan="3">Total</td>
        <td align="center">@service.SeparateurMillier(Nombre_Casier)</td>
        <td align="center">@service.SeparateurMillier(Nombre_Plastique)</td>
        <td align="center">@service.SeparateurMillier(Nombre_Bouteille)</td>
        <td align="center">@service.SeparateurMillier(Valeur_Stock)</td>
    </tr>
</table>



